function [ sgma ] = halfInClassTwoFarthestPoints( Ys, k )
% HALFTWOFARTHESTPOINTS - 


Nc = unique(k); 
sgmas = zeros(length(Nc),1);
for ic=1:Nc,
  inds=(k==Nc(ic));
  mm = mmax( edist( Ys(inds,:), Ys(inds,:) ) );  
  sgmas(ic) = mm/2;
end

sgma = mean(sgmas); 

